List available OS images
curl --request GET \
--url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/available-os-imagesimport requests
url = "https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/available-os-images"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/available-os-images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"version": {
"[0]": 123,
"[1]": 123,
"[2]": 123,
"[3]": 123
},
"prod": {
"name": "<string>",
"slug": "<string>",
"os_image_hash": "<string>",
"is_current": false
},
"dev": {
"name": "<string>",
"slug": "<string>",
"os_image_hash": "<string>",
"is_current": false
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}CVMs
List available OS images
Returns OS images this CVM can upgrade to, filtered by node availability, KMS allowlist, dev/prod upgrade rules, and GPU compatibility.
GET
/
api
/
v1
/
cvms
/
{cvm_id}
/
available-os-images
List available OS images
Path Parameters
Response
OS images grouped by version (newest first)
Was this page helpful?
⌘I

